Subject: 30.0.50; custom-theme-directory :type could be enhanced

From: Mauro Aranda <[email-masked]>
Date: Sun, 20 Aug 2023 07:48:09 -0300

The user option custom-theme-directory is supposed to hold a directory
name.  But its :type is a string.

I realize that it isn't really a bug, but in order to offer better
completion, at least, I'd like to change the type to be directory.  So
I'm filing this bug report to see if people would object to such a
change.